<template>
  <div>
    <CreateNewIssueModal />
    <NavigationBar title="Issues">
      <b-nav-item to="/issues">My Home</b-nav-item>

      <b-nav-item-dropdown text="Projects">
        <b-dropdown-item to="/issues/projects/INFRA/list">Project 1</b-dropdown-item>
        <b-dropdown-item href="#">Project 2</b-dropdown-item>
        <b-dropdown-item href="#">Project 3</b-dropdown-item>
        <b-dropdown-item href="#">Project 4</b-dropdown-item>
      </b-nav-item-dropdown>

      <b-nav-item-dropdown text="Dashboards">
        <b-dropdown-item href="#">Dashboard 1</b-dropdown-item>
        <b-dropdown-item href="#">Dashboard 2</b-dropdown-item>
        <b-dropdown-item href="#">Dashboard 3</b-dropdown-item>
        <b-dropdown-item href="#">Dashboard 4</b-dropdown-item>
      </b-nav-item-dropdown>

      <b-button variant="primary" class="subtle-shadow" v-b-modal="'create-new-issue-modal'">Create</b-button>
    </NavigationBar>

    <router-view />
  </div>
</template>

<script>
import NavigationBar from '@/components/Layout/NavigationBar'
import CreateNewIssueModal from '@/components/Issues/CreateNewIssueModal.vue'

export default {
  name: 'IssuesEntrypoint',
  components: {
    NavigationBar,
    CreateNewIssueModal
  }
}
</script>

<style lang="scss">

</style>